Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06338 DIP/Input Minor Always Jul 29, 2016, 19:22 Oct 23, 2016, 05:13
Tester demotester View Status Public Platform MESS (Unofficial Binary)
Assigned To AJR Resolution Fixed OS Windows XP
Status [?] Resolved Driver mz2000.cpp
Version 0.176 Fixed in Version 0.179 Build Normal
Summary MESS-specific 06338: mz2000, mz2200: Mistakes in current keyboard matrix emulation and missing keys !
Description http://www.progettoemma.net/mess/system.php?machine=mz2000
http://www.progettoemma.net/mess/system.php?machine=mz2200

On above links you can find keyboard layouts of MZ-2000 and MZ-2200 and compare with attached MZ-80B Jpn. keyboard.

As the keyboard layouts of MZ-80B Jpn version and MZ-2000/2200 look pretty same,
the below 80B Jpn kbd-matrix could be used to repair mistakes in current mz2000 driver and to add remaining missing keys like break, kana, grph.

The 80B Jpn. Keyboard Matrix -> http://www43.tok2.com/home/cmpslv/Mz80b/80bkey.png
(comes from http://www43.tok2.com/home/cmpslv/Mz80b/EnrMzb.htm )

An mistake example in the current mz2000 driver: the RVS key is not present on a MZ-2000 / 2200 (or MZ-80B Jpn version).


Steps To Reproduce Compare the mz2000 driver keyboard with above keyboard matrix picture, correct mistakes and add missing keys.
Additional Information
Flags
Regression Version
Affected Sets / Systems mz2000, mz2200
Attached Files
zip file icon mz80bj_keyboard.zip (60,036 bytes) Jul 29, 2016, 19:38 Uploaded by demotester
Relationships
There are no relationsihp linked to this issue.
Notes
3
User avatar
No.13277
AJR
Developer
Oct 17, 2016, 11:26
Commit bd6801ea71b951c6006f30f61fde382f982f40d7 should fix this for 0.179.

Unfortunately, very few of the fonts I tested on OS X seem to include both box drawing characters and fullwidth katakana, both of which have been added to the Japanese key names. Songti SC comes the closet, but it is one of many fonts affected by a bug (likely in the SDL OSD layer) that causes the UI to cut off the leftmost line of many characters.
User avatar
No.13286
demotester
Tester
Oct 22, 2016, 19:41
edited on: Oct 22, 2016, 19:49
Very nice, thanks.

I just checked it on "bleeding-edge release" and now "BREAK", "KANA", "GRPH" keys work fine.

Maybe would be better to set the "DEL" instead of "INSERT" key on PC to be "INST/DEL" key of emu, because the "INSERT" key is the "fast-key" when not in emu-keyboard mode, and its more intuitive !!!

Cheers!

User avatar
No.13287
AJR
Developer
Oct 23, 2016, 05:13
After making another review of the documentation for MZ series keyboards, I've decided to make that change. INST/DEL is now mapped as DEL in emulated keyboard mode, and as backspace (unshifted)/INS (shifted) in natural keyboard mode.